python培训之pip无法安装怎么办

发布时间:2022-08-15 09:37:33 人气:77 作者:多测师

  pip 是一个现代的,通用的 Python 包管理工具 。提供了对Python 包的查找、下载、安装、卸载的功能。

  Python 2.7.9 + 或 Python 3.4+ 以上版本都自带 pip 工具。

  可以通过以下命令来判断是否已安装:

python培训之pip无法安装怎么办

  pip --version

  如果还未安装,则可以使用以下方法来安装:

  $ curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py # 下载安装脚本

  $ sudo python get-pip.py # 运行安装脚本

  注意:用哪个版本的 Python 运行安装脚本,pip 就被关联到哪个版本,如果是 Python3 则执行以下命令:

  $ sudo python3 get-pip.py # 运行安装脚本。

  一般情况 pip 对应的是 Python 2.7,pip3 对应的是 Python 3.x。

  以上内容为大家介绍了python培训之pip无法安装怎么办,希望对大家有所帮助,如果想要了解更多Python相关知识,请关注多测师。https://www.e70w.com/xwzx/


返回列表
在线客服
联系方式

热线电话

17727591462

上班时间

周一到周五

二维码
线